UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
_Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send Struct Reference

`#include <dro_mon.pb-c.h>`

## Data Fields
ProtobufCMessage | base
uint64_t | transport_topic_fragments_forwarded
uint64_t | transport_topic_fragment_bytes_forwarded
uint64_t | transport_topic_fragments_sent
uint64_t | transport_topic_fragment_bytes_sent
uint64_t | transport_topic_req_fragments_sent
uint64_t | transport_topic_req_fragment_bytes_sent
uint64_t | transport_topic_fragments_dropped_dup
uint64_t | transport_topic_fragment_bytes_dropped_dup
uint64_t | transport_topic_fragments_dropped_would_block
uint64_t | transport_topic_fragment_bytes_dropped_would_block
uint64_t | transport_topic_fragments_dropped_error
uint64_t | transport_topic_fragment_bytes_dropped_error
uint64_t | transport_topic_fragments_dropped_size_error
uint64_t | transport_topic_fragment_bytes_dropped_size_error
uint64_t | immediate_topic_fragments_forwarded
uint64_t | immediate_topic_fragment_bytes_forwarded
uint64_t | immediate_topic_fragments_sent
uint64_t | immediate_topic_fragment_bytes_sent
uint64_t | immediate_topic_req_fragments_sent
uint64_t | immediate_topic_req_fragment_bytes_sent
uint64_t | immediate_topic_fragments_dropped_would_block
uint64_t | immediate_topic_fragment_bytes_dropped_would_block
uint64_t | immediate_topic_fragments_dropped_error
uint64_t | immediate_topic_fragment_bytes_dropped_error
uint64_t | immediate_topic_fragments_dropped_size_error
uint64_t | immediate_topic_fragment_bytes_dropped_size_error
uint64_t | immediate_topicless_fragments_forwarded
uint64_t | immediate_topicless_fragment_bytes_forwarded
uint64_t | immediate_topicless_fragments_sent
uint64_t | immediate_topicless_fragment_bytes_sent
uint64_t | immediate_topicless_req_fragments_sent
uint64_t | immediate_topicless_req_fragment_bytes_sent
uint64_t | immediate_topicless_fragments_dropped_would_block
uint64_t | immediate_topicless_fragment_bytes_dropped_would_block
uint64_t | immediate_topicless_fragments_dropped_error
uint64_t | immediate_topicless_fragment_bytes_dropped_error
uint64_t | immediate_topicless_fragments_dropped_size_error
uint64_t | immediate_topicless_fragment_bytes_dropped_size_error
uint64_t | unicast_msgs_forwarded
uint64_t | unicast_msg_bytes_forwarded
uint64_t | unicast_msgs_sent
uint64_t | unicast_msg_bytes_sent
uint64_t | unicast_msgs_dropped_error
uint64_t | unicast_msg_bytes_dropped_error
uint64_t | data_bytes_enqueued
uint64_t | data_bytes_enqueued_max
uint64_t | data_bytes_enqueued_limit

## Detailed Description

Structure containing send statistics related to this endpoint portal.

## Field Documentation

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::data_bytes_enqueued

Current data bytes enqueued internally.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::data_bytes_enqueued_limit

Configured maximum data bytes allowed in queued.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::data_bytes_enqueued_max

Maximum data bytes enqueued internally.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::immediate_topic_fragment_bytes_dropped_error

Immediate topic fragment bytes dropped due to error.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::immediate_topic_fragment_bytes_dropped_size_error

Immediate topic fragment bytes dropped due to fragment size error.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::immediate_topic_fragment_bytes_dropped_would_block

Immediate topic fragment bytes dropped due to LBM_EWOULDBLOCK.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::immediate_topic_fragment_bytes_forwarded

Immediate topic fragment bytes forwarded.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::immediate_topic_fragment_bytes_sent

Immediate topic fragment bytes sent.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::immediate_topic_fragments_dropped_error

Immediate topic fragments dropped due to error.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::immediate_topic_fragments_dropped_size_error

Immediate topic fragments dropped due to fragment size error.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::immediate_topic_fragments_dropped_would_block

Immediate topic fragments dropped due to LBM_EWOULDBLOCK.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::immediate_topic_fragments_forwarded

Immediate topic fragments forwarded.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::immediate_topic_fragments_sent

Immediate topic fragments sent.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::immediate_topic_req_fragment_bytes_sent

Immediate topic request fragment bytes sent.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::immediate_topic_req_fragments_sent

Immediate topic request fragments sent.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::immediate_topicless_fragment_bytes_dropped_error

Immediate topicless fragment bytes dropped due to error.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::immediate_topicless_fragment_bytes_dropped_size_error

Immediate topicless fragment bytes dropped due to fragment size error.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::immediate_topicless_fragment_bytes_dropped_would_block

Immediate topicless fragment bytes dropped due to LBM_EWOULDBLOCK.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::immediate_topicless_fragment_bytes_forwarded

Immediate topicless fragment bytes forwarded.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::immediate_topicless_fragment_bytes_sent

Immediate topicless fragment bytes sent.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::immediate_topicless_fragments_dropped_error

Immediate topicless fragments dropped due to error.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::immediate_topicless_fragments_dropped_size_error

Immediate topicless fragments dropped due to fragment size error.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::immediate_topicless_fragments_dropped_would_block

Immediate topicless fragments dropped due to LBM_EWOULDBLOCK.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::immediate_topicless_fragments_forwarded

Immediate topicless fragments forwarded.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::immediate_topicless_fragments_sent

Immediate topicless fragments sent.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::immediate_topicless_req_fragment_bytes_sent

Immediate topicless request fragment bytes sent.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::immediate_topicless_req_fragments_sent

Immediate topicless request fragments sent.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::transport_topic_fragment_bytes_dropped_dup

Duplicate transport topic fragment bytes dropped.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::transport_topic_fragment_bytes_dropped_error

Transport topic fragment bytes dropped due to error.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::transport_topic_fragment_bytes_dropped_size_error

Transport topic fragment dropped due to fragment size error.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::transport_topic_fragment_bytes_dropped_would_block

Transport topic fragment bytes dropped due to LBM_EWOULDBLOCK.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::transport_topic_fragment_bytes_forwarded

Transport topic fragment bytes forwarded to this portal.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::transport_topic_fragment_bytes_sent

Transport topic fragment bytes sent.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::transport_topic_fragments_dropped_dup

Duplicate transport topic fragments dropped.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::transport_topic_fragments_dropped_error

Transport topic fragments dropped due to error.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::transport_topic_fragments_dropped_size_error

Transport topic fragments dropped due to fragment size error.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::transport_topic_fragments_dropped_would_block

Transport topic fragments dropped due to LBM_EWOULDBLOCK.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::transport_topic_fragments_forwarded

Transport topic fragments forwarded to this portal.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::transport_topic_fragments_sent

Transport topic fragments sent.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::transport_topic_req_fragment_bytes_sent

Transport topic request fragment bytes sent.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::transport_topic_req_fragments_sent

Transport topic request fragments sent.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::unicast_msg_bytes_dropped_error

Unicast message bytes dropped due to error.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::unicast_msg_bytes_forwarded

Unicast message bytes forwarded.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::unicast_msg_bytes_sent

Unicast message bytes sent.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::unicast_msgs_dropped_error

Unicast messages dropped due to error.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::unicast_msgs_forwarded

Unicast messages forwarded.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send::unicast_msgs_sent

Unicast messages sent.

The documentation for this struct was generated from the following file:

- dro_mon.pb-c.h